Smart II Software parameters: LLC parameters
============================================
                                                LSS 5.0(0), August 1996
                                               -----------------------
Introduction
--------------

This document describes the parameters that affect  the  operation  of 
the LLC interface on a particular Ringnode in your workstation.

If you are using SMART.CFG to configure your Smart II  Software,  then 
you should place all of the LLC parameters in the [LLC] section. There 
are however, some parameters which can also go in a [CARD] section.

Figure 1 displays part of a SMART.CFG which demonstrates some  of  the 
LLC parameters. 

      +------------------------------------------+      
      |                                          |
      | [HOST]                                   |
      |                                          |
      |   :             ; host parameters here   |
      |                                          |
      |  [CARD]         ; first card section     |
      |                                          |
      |   [LLC]         ; install the LLC i/f    |
      |                                          |
      |    rx.size = 2130                        |
      |    saps = 2                              |
      |                                          |
      +------------------------------------------+      

        Figure 1. Example SMART.CFG.

Table 1 contains  a list of all  the LLC parameters  and the SMART.CFG 
sections  in which  they can be used. Section 2  describes each of the 
LLC parameters.

      +------------------------------------------+
      |                                          |
      | Parameter      (Abbrev)       Section    |
      | ---------      --------       -------    |
      |                                          |
      | NODE.ADDRESS     (NA)       [CARD]/[LLC] |
      | FRAME.SIZE       (FS)       [CARD]/[LLC] |
      | SAPS             (SA)       [CARD]/[LLC] |
      | EXTRA.SAPS       (ES)       [CARD]/[LLC] |
      | GROUP.SAPS       (GS)       [CARD]/[LLC] |
      | STATIONS         (ST)       [CARD]/[LLC] |
      | EXTRA.STATIONS   (EST)      [CARD]/[LLC] |
      | DEF.T1           (DT1)      [CARD]/[LLC] |
      | DEF.T2           (DT2)      [CARD]/[LLC] |
      | DEF.TI           (DTI)      [CARD]/[LLC] |
      | DEF.MAXOUT       (DMO)      [CARD]/[LLC] |
      | DEF.MAXIN        (DMI)      [CARD]/[LLC] |
      | DEF.MAXOUT.INCR  (DMOI)     [CARD]/[LLC] |
      | DEF.RETRY.COUNT  (DRC)      [CARD]/[LLC] |
      |                                          |
      | PCS                                [LLC] |
      | LANSUP           (LS)              [LLC] |
      | ADAP.TYPE        (AT)              [LLC] |
      | RX.SIZE          (RX)              [LLC] |
      | FORCE.FS.BYTE    (FFSB)            [LLC] |
      |                                          |
      +------------------------------------------+

        Table 1. LLC parameters.

If you are configuring your Smart II Software from the  command  line, 
you  can  put the LLC parameters anywhere.  However, we recommend that 
you put them all together.

A sample command line, which enables an LLC interface with  a  receive 
size of 1024 bytes is :-

        SMART LLC RX=1024

2 LLC parameters
----------------

This section describes the LLC parameters.

RX.SIZE             Specifies the maximum  size of frame  that the LLC
                    interface can receive. RX.SIZE does not affect the
                    FRAME.SIZE but it is limited by it. If RX.SIZE  is
                    increased then DOS memory usage also increases.

                    Range       : 100 - 17960
                    Default     : 2130
                    Abbreviation: RX

                    Example     : RX=1024

PCS                 Ensures compatibility with IBM PC Support  Program 
                    and  current versions of IBM PC 3270, by disabling 
                    the checking of received I-frame size.

                    Example     : PCS

FORCE.FS.BYTE	    This parameter is required when routing  across  a 
		    bridge which does not set these bits.
     
        	    On completion of an LLC transmit,  forces  the  FS 
		    byte  to  indicate that the Frame Copy and Address 
		    Recognised bits are set to the correct value.

		    
                    Example     : FORCE.FS.BYTE = Y

ADAP.TYPE           This parameter sets the adapter type field returned
                    in  the  LLC  extended  status  block.  Most   LLC 
                    applications will expect to see an IBM adapter type
                    specifed  and  so  you  will  not  normally need to 
                    change  it  from  it's  default  value of IBM. Some 
                    applications though may expect to see  the  adapter
                    type   returned   as   OEM     ( Original Equipment 
                    Manufacturer) or unknown.

                    Range       : IBM or OEM  
                    Default     : IBM
                    Abbreviation: AT

                    Example     : AT=OEM


LANSUP              Ensures compatibility with the IBM LANSUP program,
                    which  provides  an ODI interface over the LLC CCB
                    interface.  When  this  parameter is set we return
                    an  IBM  like  microcode-level  in  the LLC status 
                    block.  By  default  we  return  a  non-IBM  style
                    microcode level.      

                    Example     : LANSUP

FRAME.SIZE          This  parameter  controls the  maximum frame  size 
                    that  protocol modules can use. This parameter has 
                    the  same  effect  as the FS parameter in the card
                    section  of  smart.cfg  (see SMTCARD.TXT) and will 
                    affect  the  maximum  frame  size  of  ALL   smart 
                    protocols. This is because all smart protocols use
                    the LLC to send and receive  frames.  The  maximum
                    value depends on  which  interfaces  are  enabled,
                    and on which Ringnode you are running. By  default
                    the maximum frame size possible (up to 4K) is used.

                    Range       : 200 - 17960
                    Abbreviation: FS

                    Example     : FS=1024

NODE.ADDRESS        The  node  address parameter allows you to specify 
                    the 6-byte node address to be used by the adapter.  
                    If you omit this parameter, the Ringnode uses  its 
                    unique  burnt-in  node  address.  We recommend the 
                    burnt-in address whenever possible. 
                    
                    You  can  specify  the  node  address  without   a 
                    keyword.  
                    
                    You  can  use  any valid hexadecimal number in the 
                    range 400000000000 to 7FFFFFFFFFFF.   
                    
                    Ensure  that  every  adapter in your network has a 
                    different node address. 

                    Range       : 400000000000 - 7FFFFFFFFFFF
                    Abbreviation: NA or (blank)
                    
                    Example     : NA=400012345678 or just 400012345678

SAPS                Specifies the maximum number of LLC Service Access 
                    Points (SAPs) that you can open at any  one  time. 
                    The NetBIOS and IPX interfaces each use one SAP.    
                    
                    Range       : 0 - 127  
                    Default     : 2
                    Abbreviation: SA

                    Example     : SA=27

EXTRA.SAPS          Specifies  the  number  of  extra  SAPs  that  are 
                    available for LLC applications, other than NetBIOS 
                    and IPX, to use. For example, you need one  for  a 
                    3270 attachment program.  The total number of SAPS 
                    and EXTRA.SAPS must not exceed 128.

                    Range       : 0 - 127  
                    Default     : 3
                    Abbreviation: ES

                    Example     : ES=27

GROUP.SAPS          Specifies  the  number  of  group  SAPs  that  are 
                    available for LLC applications. It is rare for  an
                    LLC application to use group SAPs.

                    Range       : 0 - 127  
                    Default     : 1
                    Abbreviation: GS

                    Example     : GS=8

STATIONS            Specifies   the   maximum   number  of  LLC  links 
                    (link-stations) that you can  open  at  one  time.  
                    The  total  value  of  STATIONS and EXTRA.STATIONS 
                    (see below), is the  total  number  of  LLC  links 
                    available.  
                    
                    If you enable the NetBIOS interface, NetBIOS  uses 
                    all  of  the  links  that  you  specify  with  the 
                    STATIONS parameter.  If you  disable  the  NetBIOS 
                    interface,  all  of  these  links are available to 
                    other LLC applications. 
        
                    Range       : 0 - 254  
                    Default     : 32
                    Abbreviation: ST

                    Example     : ST=27

EXTRA.STATIONS      Specifies  the  maximum  number of extra LLC links 
                    (link-stations)  that  you can  open at one  time. 
                    The  total  value  of  STATIONS  (see  above)  and 
                    EXTRA.STATIONS,  is  the  total  number  of  links 
                    available.
                    
                    NetBIOS uses all of the links you specify with the 
                    STATIONS  parameter.  Those that you specify using 
                    EXTRA.STATIONS  are  available   for   other   LLC 
                    applications. 
                    
                    The default value of 3 allows you to  use  an  LLC 
                    workstation  application  that  requires one link. 
                    You can use the 2 other links to connect to a 3270 
                    attachment  program,   AS400   direct   attachment 
                    program,  or  to  a  bridge.   The total number of 
                    STATIONS and EXTRA.STATIONS must not exceed 255.
                    
                    Range       : 0 - 254  
                    Default     : 3
                    Abbreviation: EST

                    Example     : EST=27

DEF.MAXIN           Specifies the default number of I-frames that  are
                    received on LLC links before an acknowledgment  is 
                    sent.
                                                                        
                    Range       : 1 - 127
                    Default     : 1
                    Abbreviation: DMI
                                
                    Example     : DMI=5
                                        
DEF.MAXOUT          Specifies the default  number of I-frames that are
                    transmitted on LLC links before an  acknowledgment 
                    is required.
                                                                        
                    Range       : 1 - 9
                    Default     : 2
                    Abbreviation: DMO
                                
                    Example     : DMO=8
                                                                                                                                                                                                        
DEF.MAXOUT.INCR     Specifies the default  number of  frames by  which  
                    the  size  of  the  transmit window  increases  in 
                    response  to  a  frame loss caused by  a temporary 
                    congestion.                 

                    Range       : 1 - 255
                    Default     : 1
                    Abbreviation: DMOI

                    Example     : DMOI=20
                                                                                
DEF.RETRY.COUNT     Specifies the default number of attempts that  the 
                    LLC makes to transmit I-frames on links.
                                
                    Range       : 1 - 255
                    Default     : 10
                    Abbreviation: DRC

                    Example     : DRC=8
                                                                                                                
DEF.T1              Specifies the default delay  between  transmission 
                    and retransmission of a frame if no acknowledgment  
                    is received. 
                    
                    Range       : 0 - 10
                    Default     : 5
                    Abbreviation: DT1

                    Example     : DT1=8
                                                                                        
DEF.T2              Specifies the default time between the receipt and 
                    acknowledgment  of  a frame when the frame has not 
                    reached the receive  window.

                    Range       : 0 - 11
                    Default     : 2
                    Abbreviation: DT2

                    Example     : DT2=5
                                                                                                                                                
DEF.TI              Specifies  the  default delay after which the  LLC 
                    sends poll frames to check that a  link  is  still  
                    functional. 

                    Range       : 0 - 10
                    Default     : 10
                    Abbreviation: DTI
                                
                    Example     : DTI=7

********************************************************************** 
Note: When you are using  Smart  NDIS  with  Smart  LLC  on  a  single 
      Ringnode,  you  may  experience  problems with applications that 
      explicitly OPEN  and/or  CLOSE  the  adapter.  If  so,  put  the 
      AUTOOPEN=YES  parameter  in  the [NDIS] section of the SMART.CFG 
      file.
**********************************************************************


                    ***** End of SMTLLC.TXT *****
